## Apache Zeta Components Manual :: Docs For Class ezcReflectionAnnotation

### Reflection::ezcReflectionAnnotation

### Class ezcReflectionAnnotation

Represents a annotation in the php source code comment.

This class is used as standard implementation for representing annotations. It is only used if no specialized annotation class could be found deriving from this class.

The comment line is tokenized by at spaces and if no further structure is recognized, tokens are available at getParams.

Source for this file: /Reflection/src/annotations/annotation.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcReflectionAnnotationReturn | Represents a return annotation in the php source code comment.
ezcReflectionAnnotationParam | Represents a param annotation in the php source code comment.
ezcReflectionAnnotationVar | Represents a var annotation in the php source code comment.

### Member Variables

protected string | `$annotationName`
protected string | `$desc`
protected string[] | `$params`

### Method Summary

public ezcReflectionAnnotation | `__construct( $line )`
public void | `addDescriptionLine( $line )`
public string | `getDescription( )`
public string | `getName( )`
public string[] | `getParams( )`

### Methods

#### __construct

ezcReflectionAnnotation __construct( string[] $line )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$line` | string[] | Array of words

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionAnnotationReturn::__construct()` |
`ezcReflectionAnnotationParam::__construct()` |
`ezcReflectionAnnotationVar::__construct()` |

#### addDescriptionLine

void addDescriptionLine( string $line )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$line` | string |

#### getDescription

string getDescription( )

#### getName

string getName( )

#### getParams

string[] getParams( )
Documentation generated by phpDocumentor 1.4.3